# class PartBase | Base class for all parts. More...
Full name | `KParts::PartBase`
Definition | `#include <part.h>`
Inherits | KXMLGUIClient (kdeui) [virtual public ]
Inherited by | DockMainWindow, MainWindow, Part, ReadOnlyPart, ReadWritePart
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- PartBase ()
- virtual ~PartBase ()
- void setPartObject ( QObject *object )
- QObject * partObject () const

#### Protected Methods

- virtual void setInstance ( KInstance *instance )
- virtual void setInstance ( KInstance *instance, bool loadPlugins )

## Detailed Description

Base class for all parts.

PartBase () | ### PartBase

Constructor.

~PartBase () | ### ~PartBase

[virtual]

Destructor.

void setPartObject ( QObject *object ) | ### setPartObject

Internal method. Called by KParts::Part to specify the parent object for plugin objects.

QObject * partObject () | ### partObject

[const]

void setInstance ( KInstance *instance ) | ### setInstance

[protected virtual]

Set the instance (KInstance) for this part.

Call this *first* in the inherited class constructor, because it loads the i18n catalogues.

Reimplemented from KXMLGUIClient.

void setInstance ( KInstance *instance, bool loadPlugins ) | ### setInstance

[protected virtual]

Set the instance (KInstance) for this part.

Call this *first* in the inherited class constructor, because it loads the i18n catalogues.

Reimplemented from KXMLGUIClient.

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:43:28 2001, using kdoc 2.0a53.